<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:orientation="vertical"
        android:gravity="center_horizontal"
        android:elevation="60dp"
        android:minWidth="600dp"
        android:paddingHorizontal="40dp"
        android:paddingVertical="80dp"
        android:background="@drawable/border_gray">

    <com.moos.library.CircleProgressView
        android:id="@+id/cpv_progress"
        android:layout_width="240dp"
        android:layout_height="240dp"
        app:circleBroken="true"
        app:end_color="@color/colorPrimary"
        app:end_progress="100"
        app:isTracked="true"
        app:progressDuration="300"
        app:start_color="@color/colorSecondary"
        app:start_progress="0"
        app:track_width="26dp" />

    <TextView
            android:id="@+id/tv_new_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
        android:layout_marginTop="60dp"
        android:text="检测到新版本：x.x.x"
        android:textSize="24sp"
        android:textStyle="bold"/>

    <TextView
            android:id="@+id/tv_old_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="60dp"
            android:text="当前版本：x.x.x"
            android:textSize="24sp"
            android:textStyle="bold"/>

    <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="70dp">

        <Button
            android:id="@+id/btn_update"
            style="@style/Widget.MaterialComponents.Button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="12dp"
            android:text="升级"/>

        <Button
            android:id="@+id/btn_cancel"
            style="@style/Widget.MaterialComponents.Button.TextButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="12dp"
            android:text="取消"/>

    </LinearLayout>
</LinearLayout>